;**********************************************************************
;                                                                     *
;    Filename:	    main12.asm                                        *
;    Date:                                                            *
;    File Version:                                                    *
;                                                                     *
;    Author:        el@jap.hu                                         *
;                   http://jap.hu/                                    *
;**********************************************************************
; HISTORY
;
; 000 - 20010526 initial version
;**********************************************************************
;
;    Notes:
; Pbus12 test
;
;**********************************************************************

	list      p=16f628
	__CONFIG   _CP_OFF & _WDT_OFF & _PWRTE_ON & _HS_OSC & _LVP_OFF

#include <p16f628.inc>
#include "lcdlib.inc"

freemem UDATA

dummy		res 1
#include "pb12d.inc"

vectors		CODE 0

  		goto    main              ; go to beginning of program
		nop
		nop
		nop
		retfie

		CODE
messages	movwf PCL
msg_1		dt "PB12:", 0

#include "pb12.inc"

main		clrf PORTB
		movlw 0x10
		movwf PORTA
		movlw 0x0
		tris PORTA ; PA4=output
		movlw 1
		tris PORTB ; PB0=input

		movlw 7
		movwf CMCON ; for F628
		movlw 0x85
		clrwdt
		option; no pullup, prescaler on TMR0, incr on osc

		call lcd_init
		movlw msg_1
		call lcd_strout

warm		movlw 0
		movwf txport_shadow


error1		andlw 0x7f
		iorlw 0x40
		call lcd_chrout
loop		;
		BUFRX 0, error1

		movlw 'b'
		call lcd_chrout

		; handle standard commands
		HANDLESTD transmit

		movlw '?'
		call lcd_chrout
		goto loop

transmit	SUMCALC
		BUFTX

		movlw 'R'
		call lcd_chrout

		goto loop

		END

